Summary: Console-based network traffic monitor
Name: vnstat
Version: 2.10
Release:    1%{?dist}

License: GPLv2
URL: http://humdi.net/vnstat/
Source0: http://humdi.net/vnstat/vnstat-%{version}.tar.gz
Patch0: vnstat.service.patch
Requires(pre): shadow-utils
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
BuildRequires: make
BuildRequires: gcc
BuildRequires: gd-devel
BuildRequires: systemd
BuildRequires: sqlite-devel

%description
vnStat is a console-based network traffic monitor that keeps a log of daily
network traffic for the selected interface(s). vnStat isn't a packet sniffer.
The traffic information is analyzed from the /proc file-system, so vnStat can
be used without root permissions. See the web-page for few 'screenshots'.

%package vnstati
Summary: Image output support for vnstat
Recommends: %{name} = %{version}-%{release}

%description vnstati
The purpose of vnstati is to provide image output support for statistics
collected using vnstat. The image file format is limited to png. All basic
outputs of vnStat are supported excluding live traffic features. The image can
be outputted either to a file or to standard output.

%prep
%setup -q
%patch0 -p1

sed -i -e "s,/var/run/,/run/vnstat/,g; \
	s,MaxBandwidth 100,MaxBandwidth 0,g;" \
	cfg/vnstat.conf

%build
%{configure}
%{__make} %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" all

%install
%{__mkdir_p} %{buildroot}%{_localstatedir}/lib/%{name}
%{__mkdir_p} %{buildroot}%{_unitdir}
%{__mkdir_p} %{buildroot}%{_tmpfilesdir}

%{__mkdir_p} %{buildroot}/run/
%{__install} -d -m 0700 %{buildroot}/run/%{name}/

%{__make} install DESTDIR=%{buildroot}
%{__install} -p -m 644 examples/systemd/vnstat.service %{buildroot}%{_unitdir}/
%{__rm} -rf examples/init.d
%{__rm} -rf examples/systemd
%{__rm} -rf examples/launchd
%{__rm} -rf examples/upstart

%{__cat} >> %{buildroot}/%{_tmpfilesdir}/%{name}.conf << END
D /run/vnstat 0700 vnstat vnstat
END

%pre
getent group %{name} > /dev/null || groupadd -r %{name}
getent passwd %{name} > /dev/null || useradd -r -g %{name} -M \
  -d %{_localstatedir}/lib/%{name} -s /sbin/nologin -c "vnStat user" %{name}
exit 0

%post
%systemd_post vnstat.service

%preun
%systemd_preun vnstat.service

%postun
%systemd_postun_with_restart vnstat.service

%files
%license COPYING
%doc CHANGES FAQ README INSTALL examples
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_unitdir}/%{name}.service
%{_tmpfilesdir}/%{name}.conf
%{_mandir}/man1/vnstat.1*
%{_mandir}/man5/vnstat.conf.5*
%{_mandir}/man8/vnstatd.8*
%{_bindir}/vnstat
%{_sbindir}/vnstatd
%attr(-,vnstat,vnstat)%dir /run/%{name}/
%attr(-,vnstat,vnstat)%{_localstatedir}/lib/%{name}

%files vnstati
%license COPYING
%{_mandir}/man1/vnstati.1*
%{_bindir}/vnstati

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10-1
- initial build
